<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateJobsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: jobs
         */
        Schema::create('jobs', function ($table) {
            $table->increments('id');
            $table->string('company_name', 255)->nullable();
            $table->string('logo', 255)->nullable();
            $table->string('job_title', 255)->nullable();
            $table->string('location', 255)->nullable();
            $table->string('url', 255)->nullable();
            $table->string('tags', 255)->nullable();
            $table->string('slug', 255)->nullable();
            $table->string('description', 2555)->nullable();
            $table->string('skills', 2555)->nullable();
            $table->string('experience', 255)->nullable();
            $table->string('responsibilities', 2555)->nullable();
            $table->enum('type', ['Part Time','Full Time','Contract'])->nullable();
            $table->string('salary', 255)->nullable();
            $table->date('last_date')->nullable();
            $table->enum('published', ['yes','no'])->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('jobs');
    }
}
