<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for job in job package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  job module in job package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Job',
    'names'         => 'Jobs',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Jobs',
        'sub'   => 'Jobs',
        'list'  => 'List of jobs',
        'edit'  => 'Edit job',
        'create'    => 'Create new job'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'type'                => ['Part Time','Full Time','Contract'],
            'published'           => ['yes','no'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_name'               => 'Please enter company name',
        'logo'                       => 'Please enter logo',
        'job_title'                  => 'Please enter job title',
        'location'                   => 'Please enter location',
        'url'                        => 'Please enter url',
        'tags'                       => 'Please enter tags',
        'slug'                       => 'Please enter slug',
        'description'                => 'Please enter description',
        'skills'                     => 'Please enter skills',
        'experience'                 => 'Please enter experience',
        'responsibilities'           => 'Please enter responsibilities',
        'type'                       => 'Please select type',
        'salary'                     => 'Please enter salary',
        'last_date'                  => 'Please select last date',
        'published'                  => 'Please select published',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_name'               => 'Company name',
        'logo'                       => 'Logo',
        'job_title'                  => 'Job title',
        'location'                   => 'Location',
        'url'                        => 'Url',
        'tags'                       => 'Tags',
        'slug'                       => 'Slug',
        'description'                => 'Description',
        'skills'                     => 'Skills',
        'experience'                 => 'Experience',
        'responsibilities'           => 'Responsibilities',
        'type'                       => 'Type',
        'salary'                     => 'Salary',
        'last_date'                  => 'Last date',
        'published'                  => 'Published',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'company_name'               => ['name' => 'Company name', 'data-column' => 1, 'checked'],
        'job_title'                  => ['name' => 'Job title', 'data-column' => 2, 'checked'],
        'location'                   => ['name' => 'Location', 'data-column' => 3, 'checked'],
        'experience'                 => ['name' => 'Experience', 'data-column' => 4, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 5, 'checked'],
        'published'                  => ['name' => 'Published', 'data-column' => 6, 'checked'],
        'user_id'                    => ['name' => 'User id', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Jobs',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
