<?php

namespace Lavalite\Job\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class JobTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Job\Models\Job $job)
    {
        return [
            'id'                => $job->getRouteKey(),
            'key'               => [
                'public'    => $job->getPublicKey(),
                'route'     => $job->getRouteKey(),
            ], 
            'id'                => $job->id,
            'company_name'      => $job->company_name,
            'logo'              => $job->logo,
            'job_title'         => $job->job_title,
            'location'          => $job->location,
            'url'               => $job->url,
            'tags'              => $job->tags,
            'slug'              => $job->slug,
            'description'       => $job->description,
            'skills'            => $job->skills,
            'experience'        => $job->experience,
            'responsibilities'  => $job->responsibilities,
            'type'              => $job->type,
            'salary'            => $job->salary,
            'last_date'         => $job->last_date,
            'published'         => $job->published,
            'user_id'           => $job->user_id,
            'user_type'         => $job->user_type,
            'created_at'        => $job->created_at,
            'updated_at'        => $job->updated_at,
            'deleted_at'        => $job->deleted_at,
            'url'               => [
                'public'    => trans_url('job/'.$job->getPublicKey()),
                'user'      => guard_url('job/job/'.$job->getRouteKey()),
            ], 
            'status'            => trans('app.'.$job->status),
            'created_at'        => format_date($job->created_at),
            'updated_at'        => format_date($job->updated_at),
        ];
    }
}